# Module `druid`

Druid UI Library.

Powerful Defold component based UI library. Use standart components or make your own game-specific components to make amazing GUI in your games.

Contains the several basic components and examples to how to do your custom complex components to separate UI game logic to small files

    require("druid.druid")
    function init(self)
        self.druid = druid.new(self)
    end

## Functions

register(name, module) | Register external druid component.
new(context[, style]) | Create Druid instance.

## Functions

register(name, module)
  Register external druid component. After register you can create the component with druidinstance:new{name}. For example `druid:new_button(...)`

  ### Parameters:

  - name string module name
  - module table lua table with component
new(context[, style])
  Create Druid instance.

  ### Parameters:

  - context table Druid context. Usually it is self of script
  - style table Druid style module (optional)

  ### Returns:

  druid_instance Druid instance

generated by LDoc 1.4.6 Last updated 2020-03-22 15:31:43